# class toHelpBrowser

Widget used to display HTML of help pages. More...

Definition | `#include <tohelpbrowser.h>`
Inherits | KHTMLPart (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toHelpBrowser (QWidget *parent,const char *name=NULL)
- virtual bool openURL (const KURL &url)
- QString source (void)

#### Public Slots

- void forward (void)
- void backward (void)

#### Signals

- void backwardAvailable (bool avail)
- void forwardAvailable (bool avail)
- void textChanged (void)

## Detailed Description

Widget used to display HTML of help pages.

toHelpBrowser (QWidget *parent,const char *name=NULL)

### toHelpBrowser

Create a help browser.

Parameters:

parent | Parent widget.
name | Name of widget.

bool openURL (const KURL &url)

### openURL

[virtual]

Open an URL in this widget.

Parameters:

url | URL to open.

Returns: Success of operator.

QString source (void)

### source

Get source of URL.

Returns: String containing the current localtion.

void forward (void)

### forward

[slot]

Go forward if available.

void backward (void)

### backward

[slot]

Go backward if available.

void backwardAvailable (bool avail)

### backwardAvailable

[signal]

Change availability of backward history.

Parameters:

avail | Wether history is available.

void forwardAvailable (bool avail)

### forwardAvailable

[signal]

Change availability of forward history.

Parameters:

avail | Wether history is available.

void textChanged (void)

### textChanged

[signal]

The contents of the browser changed.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.